use core::ffi::{c_char, c_int, c_void};

pub type iconv_t = *mut c_void;

#[no_mangle]
unsafe extern "C" fn iconv(
    _conv: iconv_t,
    _inbuf: *mut *mut c_char,
    _inbytesleft: *mut usize,
    _outbuf: *mut *mut c_char,
    _outbytesleft: *mut usize,
) -> usize {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn iconv_close(_conv: iconv_t) -> c_int {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn iconv_open(_tocode: *const c_char, _fromcode: *const c_char) -> iconv_t {
    todo!()
}
